Bug 1309306 - python-tpg: Provide a Python 3 subpackage [NEEDINFO]
python-tpg: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-tpg (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2016-02-17 07:36 EST by Petr Viktorin
Modified: 2016-09-07 07:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-tpg-3.2.2-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-07 07:09:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhroncok: needinfo? (admiller)


Attachments (Terms of Use)
patch for specfile: add Python 3 & version update (5.61 KB, patch)
2016-06-17 07:37 EDT, Dominika Krejčí
no flags Details | Diff
Specfile update (6.75 KB, patch)
2016-07-27 10:31 EDT, Lumír Balhar
no flags Details | Diff
Specfile update (6.72 KB, patch)
2016-07-30 14:32 EDT, Lumír Balhar
no flags Details | Diff

  None (edit)
Description Petr Viktorin 2016-02-17 07:36:52 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:24:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-06-17 07:37 EDT
Created attachment 1169052 [details]
patch for specfile: add Python 3 & version update

Hi Adam,
here is the change needed to add Python 3 support and update to the latest version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14532369

Also tested in Mock (fedora-22-x86_64, fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).
Comment 3 Lumír Balhar 2016-07-27 10:31 EDT
Created attachment 1184678 [details]
Specfile update

I reviewed Dominika's patch, rebased it and fixed some issues. Current version is tested in mock.

IMHO patch is ready to be pushed now.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=15036486
Comment 4 Lumír Balhar 2016-07-30 14:32 EDT
Created attachment 1185832 [details]
Specfile update

Added fixed version of specfile reviewed by Tomas Orsava.
Comment 5 Miro Hrončok 2016-08-16 06:50:51 EDT
Adam,
do you mind if I push this? If you don't reply in a week, I assume it's OK.
Comment 6 Miro Hrončok 2016-09-07 07:02:22 EDT
RPM build errors:
error: Installed (but unpackaged) file(s) found:
   /usr/lib/python3.5/site-packages/__pycache__/tpg.cpython-35.opt-1.pyc
   /usr/lib/python3.5/site-packages/__pycache__/tpg.cpython-35.pyc
    Installed (but unpackaged) file(s) found:
   /usr/lib/python3.5/site-packages/__pycache__/tpg.cpython-35.opt-1.pyc
   /usr/lib/python3.5/site-packages/__pycache__/tpg.cpython-35.pyc

Will fix it.

Note You need to log in before you can comment on or make changes to this bug.